Public Member Functions | Static Public Member Functions | Protected Member Functions

# vtkGDCMTesting Class Reference

`#include <vtkGDCMTesting.h>`

List of all members.

## Public Member Functions
void | PrintSelf (ostream &os, vtkIndent indent)
| vtkTypeRevisionMacro (vtkGDCMTesting, vtkObject)
## Static Public Member Functions
static const char * | GetGDCMDataRoot ()
static const char * | GetVTKDataRoot ()
static vtkGDCMTesting * | New ()
## Protected Member Functions
| vtkGDCMTesting ()
| ~vtkGDCMTesting ()

## Detailed Description

Examples:

  HelloActiviz5.cs, HelloVTKWorld2.cs, and RefCounting.cs.

## Constructor & Destructor Documentation

vtkGDCMTesting::vtkGDCMTesting | ( | ) | `[protected]`

vtkGDCMTesting::~vtkGDCMTesting | ( | ) | `[protected]`

## Member Function Documentation

static const char* vtkGDCMTesting::GetGDCMDataRoot | ( | ) | `[static]`

Examples:
  HelloActiviz5.cs.

static const char* vtkGDCMTesting::GetVTKDataRoot | ( | ) | `[static]`

Examples:
  HelloActiviz5.cs, and HelloVTKWorld2.cs.

static vtkGDCMTesting* vtkGDCMTesting::New | ( | ) | `[static]`

Examples:
  RefCounting.cs.

void vtkGDCMTesting::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |

vtkGDCMTesting::vtkTypeRevisionMacro | ( | vtkGDCMTesting | ,
|  | vtkObject |
| ) |  |

The documentation for this class was generated from the following file:

- vtkGDCMTesting.h